/*
 * Userspace ABI for /dev/xst/gup driver.
 */
#ifndef GET_USER_PAGES__GUP_H
#define GET_USER_PAGES__GUP_H

/*
 * Tag to identify pages.  Should be put at the start of the pages
 * under test.
 */
struct xst_gup_tag {
	uint64_t magic;
	uint64_t seq; /* sequence number */
};

/*
 * Command to write to driver to request the driver to test
 * get_user_pages() and get_user_pages_fast().
 */
struct xst_gup_request {
	void *address;
	uint32_t nr_pages;
	uint64_t expect_magic;
	uint8_t  expect_foreign;
};

#endif /* #ifndef GET_USER_PAGES__GUP_H */
